After adding the firebaseAnalytics plugin i am unable to Build the Project

Found com.google.android.gms:play-services-auth:+, but version 11.0.+ is needed for the google-services plugin.
Found com.google.android.gms:play-services-identity:+, but version 11.0.+ is needed for the google-services plugin.

:processDebugGoogleServices FAILED

compile "com.facebook.android:facebook-android-sdk:4.+"
compile "com.google.firebase:firebase-core:11.0.+"
compile "com.google.android.gms:play-services-auth:+"
compile "com.google.android.gms:play-services-identity:+"
if Change this to this…
compile "com.facebook.android:facebook-android-sdk:4.+"
compile "com.google.firebase:firebase-core:11.0.+"
compile "com.google.android.gms:play-services-auth:11.0.+"
compile “com.google.android.gms:play-services-identity:11.0.+”

while building its changing to previous one …could any help me on this please